Skip to main content
GET
/
api
/
v1
/
status-pages
/
{id}
/
incidents
List incidents for this status page (filterable by status, paginated)
curl --request GET \
  --url https://api.devhelm.io/api/v1/status-pages/{id}/incidents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "status": "INVESTIGATING",
      "impact": "NONE",
      "scheduled": true,
      "autoResolve": true,
      "startedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "scheduledFor": "2023-11-07T05:31:56Z",
      "scheduledUntil": "2023-11-07T05:31:56Z",
      "incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "publishedAt": "2023-11-07T05:31:56Z",
      "resolvedAt": "2023-11-07T05:31:56Z",
      "createdByUserId": 123,
      "postmortemBody": "<string>",
      "postmortemUrl": "<string>",
      "affectedComponents": [
        {
          "statusPageComponentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "componentStatus": "OPERATIONAL",
          "componentName": "<string>"
        }
      ],
      "updates": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "status": "INVESTIGATING",
          "body": "<string>",
          "createdBy": "USER",
          "notifySubscribers": true,
          "createdAt": "2023-11-07T05:31:56Z",
          "createdByUserId": 123
        }
      ]
    }
  ],
  "hasNext": true,
  "hasPrev": true,
  "totalElements": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required

Query Parameters

status
enum<string>[]
Available options:
INVESTIGATING,
IDENTIFIED,
MONITORING,
RESOLVED
pageable
object
required

Response

200 - */*

OK

data
object[]
required
hasNext
boolean
required
hasPrev
boolean
required
totalElements
integer<int64> | null
totalPages
integer<int32> | null